/*
 * QDigiDoc4
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#pragma once

#include "common_enums.h"

#include <QWidget>

class MainAction : public QWidget
{
	Q_OBJECT

public:
	explicit MainAction(QWidget *parent);
	~MainAction() final;

	void hideDropdown();
	void setButtonEnabled(bool enabled);
	void showDropdown();
	void update(const QList<ria::qdigidoc4::Actions> &actions);

signals:
	void action(ria::qdigidoc4::Actions action);

private:
	void changeEvent(QEvent* event) override;
	bool eventFilter(QObject *o, QEvent *e) override;
	QString label(ria::qdigidoc4::Actions action) const;

	class Private;
	Private *ui;
};
